Setting data defined properties "Pen width" and "Dash pattern" causes freeze on Win XP and Vista

2014-04-30 04:25 AM - Nicklas Larsson

Status: Closed

Priority: High

Assignee:

Category: Symbology

Affected QGIS version:2.6.1 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:Yes Copied to github as #: 18600

Description

Setting "Data defined properties" "Pen width" and "Dash pattern" at the same time on a vector layer causes QGIS an unrecoverable freeze

on Win XP and Vista.

The same procedure works fine in OSX and Windows 7.

Example of patterns tested:

    -  4;1

    -  4;2

    -  4;2;1;2

By only setting "Dash pattern" or in combination with an other, e.g. "Join style", works and seems also to render correctly; although when

applying the settings or re-opening the Layer Properties dialog with the warning "QPen::setDashPattern: Pattern not of even length" is

issued. (Using an uneven pattern, e.g. "4;2;1", the warning is correctly issued, and a pattern item is silently ignored.)

History

#1 - 2014-10-30 10:01 AM - Giovanni Manghi

- Priority changed from Normal to High

#2 - 2014-10-30 11:02 AM - Giovanni Manghi

- Status changed from Open to Feedback

does still happen on recent qgis releases (2.4 and/or master)?

anyway, do we still support xp and vista? :)

#3 - 2014-11-08 03:09 AM - Nicklas Larsson

Giovanni Manghi wrote:

does still happen on recent qgis releases (2.4 and/or master)?

Unfortunately, I did not have the opportunity to test a later release and I'm not sure when I will be able to, hopefully in a few weeks.

anyway, do we still support xp and vista? :)

Well, I only know there are official Win 32 and 64 bit installers, whether releases later than 2.2 installs on xp or vista, I cannot tell (yet). I'm not depending on
those operating systems for personal use, but they are common at my workplace where the machine park is rather outdated.

I will return with further information, as soon as possible.

#4 - 2014-12-03 03:09 AM - Nicklas Larsson

I can now confirm that the described problem occurs using release version 2.6.1 (on xp/32) too.

#5 - 2014-12-03 03:20 AM - Giovanni Manghi

Nicklas Larsson wrote:

I can now confirm that the described problem occurs using release version 2.6.1 (on xp/32) too.

it is still a XP only issue?

#6 - 2014-12-03 03:36 AM - Nicklas Larsson

Originally I could find the problem in xp and vista 32bit (didn't test on 64 bit). Now I tested only on xp again with the same issues. Previously it was not an

issue for win7 or osx, and at least for osx it still isn't (with 2.6.0). In short: yes, with the probable addition of vista.

#7 - 2014-12-03 04:57 AM - Giovanni Manghi

Nicklas Larsson wrote:

Originally I could find the problem in xp and vista 32bit (didn't test on 64 bit). Now I tested only on xp again with the same issues. Previously it was

not an issue for win7 or osx, and at least for osx it still isn't (with 2.6.0). In short: yes, with the probable addition of vista.

so the question still there (for you and for the qgis community too): while it is weird that it happens only on old, discontinued versions of Windows, do we

really care and/or can do something?

#8 - 2014-12-03 07:04 AM - Nicklas Larsson

Although I would try track this one down if I could, I have neither means to nor experience in Windows development. The bug is critical: always leads to

crash; and is reproducible. For my organization the issue is annoying but not critical, personally I'm not affected. I don't know the statistics for xp/vista users

of qgis and how many of those that would use this feature. Therefore I'll leave the question to the community if it is worth the effort fixing this.

#9 - 2014-12-03 08:02 AM - Giovanni Manghi

- Affected QGIS version changed from 2.2.0 to 2.6.1

#10 - 2015-06-14 01:51 AM - Giovanni Manghi

Nicklas Larsson wrote:

Although I would try track this one down if I could, I have neither means to nor experience in Windows development. The bug is critical: always leads
to crash; and is reproducible. For my organization the issue is annoying but not critical, personally I'm not affected. I don't know the statistics for

xp/vista users of qgis and how many of those that would use this feature. Therefore I'll leave the question to the community if it is worth the effort

fixing this.

please try the latest qgis master and report back.

#11 - 2015-07-14 07:50 AM - Nicklas Larsson

sorry the delay...

I had now the opportunity to test version 2.8.2 on xp (32 bit), and it now works as it should! I believe this ticket can be closed as resolved.

Thank you!

#12 - 2015-07-14 12:32 PM - Nyall Dawson

- Resolution set to not reproducable

- Status changed from Feedback to Closed
